package com.book.server.service;

import com.book.server.common.entity.PageResult;
import com.book.server.dao.entity.Book;
import com.book.server.model.VO.BlockRes;
import com.book.server.model.VO.QueryVO;

import java.util.List;

public interface BookService {
    PageResult<Book> query(QueryVO queryVO);
    PageResult<Book> recommendByRead(QueryVO queryVO);

    List<BlockRes> getBlockByPageId(Integer pageId);
}
